clear all, close all
% Experiment; prof. Prugoveki, exp podaci
%-----------------------------------------------------------------------
[No,BEx,IExp] = textread('C:\Users\Jurica\Desktop\KemijaVusak3\20240321\ART.ASC');
BExp=BEx/10.;
plot(BExp,IExp);
% Simulacija; Cu2+, S=1/2, I=3/2
%-----------------------------------------------------------------------

Exp.mwFreq = 9.632012;
Exp.Range = [222.5 442.5];
Exp.Temperature = 293;

Sys.S  = [1/2];
Sys.Nucs = '63Cu';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Sys.g = [2.06883 2.06436 2.23889];
%Sys.gStrain = [0.09735 0.001799 0.3953];
%Sys.lwpp = [0 1.10985]; %prvo Gaussova pa onda Lorentzova u mT
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Sys.g = [2.06394 2.06518 2.23043];
Sys.A = [00 00 96.3205];
Sys.gStrain = [0.0001 0.0001 0.354853];
Sys.lwpp = [0 3.9];

[BSim1,Sim1] = pepper(Sys,Exp);

Vary.g = [0.00 0.00 0.00];
Vary.A = [00 00 00];
Vary.lwpp = [0 3.9];
Vary.gStrain = [0.00 0.00 0.00];

esfit('pepper',IExp,Sys,Vary,Exp);

[BSim,Sim] = pepper({Sys},Exp);
% pogreska/

% Crtanje; experiment i simulacija
%plot(BExp,IExp,'r',BSim,Sim*3.67e3-0.01,'b');
plot(BExp,IExp,'r',BSim,Sim*4.15e3+0.02,'b');
xlabel('B (mT)');
legend('exp','sim');
%------------------------------------------------------------------
% eksportiranje podataka, odvojeno polje i odvojen intenzitet
PoljeT = [BSim];
IntenzitetT = [Sim];
Polje = PoljeT.';
Intenzitet = IntenzitetT.';
save -ASCII C:\Users\Jurica\Desktop\KemijaVusak3\20240321\ARTC_H.dat Polje
save -ASCII C:\Users\Jurica\Desktop\KemijaVusak3\20240321\ARTC_I.dat Intenzitet