clear all, close all
% Experiment; prof. Prugoveki, exp podaci
%-----------------------------------------------------------------------
[No,BEx,IExp] = textread('C:\Users\Jurica\Desktop\KemijaVusak3\20240321\A78.ASC');
BExp=BEx/10.;
plot(BExp,IExp);
% Simulacija; Cu2+, S=1/2, I=3/2
%-----------------------------------------------------------------------

Exp.mwFreq =  9.704395;
Exp.Range = [222.5 442.5];
Exp.Temperature = 78;

Sys.S  = [1/2];
Sys.Nucs = '63Cu';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Sys.g = [2.06652 2.06414 2.2556];
%Sys.gStrain = [0.09799 0.000399 0.3546];
%Sys.lwpp = [0 1.17317]; %prvo Gaussova pa onda Lorentzova u mT
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Sys.g = [2.063 2.063 2.23821];
Sys.A = [00 00 146];
Sys.gStrain = [0.001 0.261 0.280802];
Sys.lwpp = [0 4.71703]; %prvo Gaussova pa onda Lorentzova u mT

[BSim1,Sim1] = pepper(Sys,Exp);

Vary.g = [0.000 0.000 0.000];
Vary.A = [00 00 0];
Vary.lwpp = [0 4.71703];
Vary.gStrain = [0.00 0.00 0.00];
esfit('pepper',IExp,Sys,Vary,Exp);

[BSim,Sim] = pepper(Sys,Exp);
% pogreska/

% Crtanje; experiment i simulacija
%plot(BExp,IExp,'r',BSim,Sim*5.65e3+0.0,'b' ); 
plot(BExp,IExp,'r',BSim,Sim*6.12e3+0.0,'b' );
xlabel('B (mT)');
legend('exp','sim1');
%------------------------------------------------------------------
% eksportiranje podataka, odvojeno polje i odvojen intenzitet
PoljeT = [BSim];
IntenzitetT = [Sim];
Polje = PoljeT.';
Intenzitet = IntenzitetT.';
save -ASCII C:\Users\Jurica\Desktop\KemijaVusak3\20240321\A78D_H.dat Polje
save -ASCII C:\Users\Jurica\Desktop\KemijaVusak3\20240321\A78D_I.dat Intenzitet


